# Paramètre positionnel

Déclarons un paramètre positionnel :

```xml
<param>no</param>
```

En YAML :

```yml
param:
- text: no
```

Créons la fonction correspondante :

```python
def return_value(value):
    return value
```

La variable "value" de la fonction "return_value" aura donc "no" comme valeur puisque le paramètre aura la valeur fixe "no".

# Paramètre nommée

Déclarons maintenant un paramètre nommée :

```xml
<param name="valeur">no</param>
```

En YAML :

```yml
param:
- name: valeur
  text: no
```

Dans ce cas la fonction return_value sera exécuté avec le paramètre nommé "valeur" dont sa valeur sera "no".
