# Cible de type "variable"

Par défaut une cible est de type variable.

```xml
<target>my_variable</target>
```

En YAML :

```yml
target:
- text: my_variable
```

Mais une target peut être optionnelle. C'est à dire que si la variable n'existe pas, l'action ne sera pas associé à cette variable.

```xml
<target optional='True'>my_variable</target>
```

En YAML :

```yml
target:
- optional: true
  text: my_variable
```
