from importlib.machinery import SourceFileLoader
from importlib.util import spec_from_loader, module_from_spec
loader = SourceFileLoader('func', 'tests/dictionaries/../eosfunc/test.py')
spec = spec_from_loader(loader.name, loader)
func = module_from_spec(spec)
loader.exec_module(func)
for key, value in dict(locals()).items():
    if key != ['SourceFileLoader', 'func']:
        setattr(func, key, value)
try:
    from tiramisu3 import *
except:
    from tiramisu import *
option_2 = StrOption(name="my_var", doc="my_var", default="rougail", properties=frozenset({"mandatory", "normal"}))
option_1 = OptionDescription(name="rougail", doc="rougail", children=[option_2])
option_4 = StrOption(name="my_var", doc="my_var", default=Calculation(func.calc_multi_condition, Params((ParamValue("non")))), properties=frozenset({"normal"}))
option_3 = OptionDescription(name="extra", doc="extra", children=[option_4])
option_9 = FilenameOption(name="name", doc="name", default="/etc/file")
option_10 = BoolOption(name="activate", doc="activate", default=True)
option_8 = OptionDescription(name="file", doc="file", children=[option_9, option_10])
option_8.impl_set_information('source', "file")
option_7 = OptionDescription(name="files", doc="files", children=[option_8])
option_11 = BoolOption(name="activate", doc="activate", default=True)
option_12 = BoolOption(name="manage", doc="manage", default=True)
option_6 = OptionDescription(name="test", doc="test", children=[option_7, option_11, option_12])
option_5 = OptionDescription(name="services", doc="services", children=[option_6], properties=frozenset({"hidden"}))
option_0 = OptionDescription(name="baseoption", doc="baseoption", children=[option_1, option_3, option_5])
